IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_86_2887_wrknew_start]') AND type = 'P')
DROP PROCEDURE [dbo].[order_86_2887_wrknew_start]
GO

-- 生成时间:2018-05-05 09:45:49 by ebs-core  
CREATE  procedure order_86_2887_wrknew_start(
     @cmpid int, 
     @useruid int, 
     @bizid int, 
     @ordid bigint, 
     @wrkid int, 
     @jbid bigint, 
     @operation varchar(50) output, 
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_86 where ord_id=@ordid 
 ---- 以下是开发人员写的 before start job 事件 --------------
 declare @str nvarchar(20)
select @str = ord_status from #master
if @str!='已处理'
begin
set @operation='abort'
end
else
begin 
set @operation='continue'
end
 ---- 以上是开发人员写的 before start job 事件 --------------
 
 if (@operation='continue') 
 begin
 set @nonedate= @nonedate  -- here useless 
 
end 
--- 清除临时表 
exec drop_temp_table '#master' 

set nocount off 
end